---
title: "Google Trends API: Interest By Region | Perceptlayer"
description: "Interest By Region from Google Trends as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/google-trends/interest-by-region
---

[APIs](https://perceptlayer.com/apis) / [Google Trends](https://perceptlayer.com/apis/google-trends) / Interest By Region

# Google Trends: Interest By Region

Interest By Region from Google Trends as JSON. 1 credit per successful call.

GET `/v1/google-trends/interest-by-region`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `q` | string | Required | Up to 550 characters |
| `geo` | string | Optional | Up to 10 characters |
| `region` | string | Optional | REGION, COUNTRY |
| `date` | string | Optional | Any |
| `cat` | integer | Optional | Any |
| `gprop` | string | Optional | , images, news, youtube, froogle |
| `tz` | integer | Optional | Any |
| `hl` | string | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/google-trends/interest-by-region?q=coffee&geo=US&date=today+12-m" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/google-trends?try=interest-by-region#playground) with your own parameters. 1 credit per successful call; failed calls are free.
